Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class DocumentEvent.EventType

    java.lang.Object
      |
      +--javax.swing.event.DocumentEvent.EventType

Enclosing class:
  DocumentEvent

public static final class DocumentEvent.EventType
extends Object

Enumeration for document event types

Field Summary
`static DocumentEvent.EventType` | `CHANGE` Change type.
`static DocumentEvent.EventType` | `INSERT` Insert type.
`static DocumentEvent.EventType` | `REMOVE` Remove type.

Method Summary
`String` | `toString()` Converts the type to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT

    public static final DocumentEvent.EventType INSERT

  Insert type.

### REMOVE

    public static final DocumentEvent.EventType REMOVE

  Remove type.

### CHANGE

    public static final DocumentEvent.EventType CHANGE

  Change type.

Method Detail

### toString

    public String toString()

  Converts the type to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.